LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XGeneratedResultSet Interface Referencepublished

provides a result set which gives access to automatically generated values after a new row was inserted. More...

`import"XGeneratedResultSet.idl";`

Inheritance diagram for XGeneratedResultSet:

## Public Member Functions
XResultSet | getGeneratedValues () raises (SQLException)
| gives access to automatically generated values after a new row was inserted. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a result set which gives access to automatically generated values after a new row was inserted.

The relative order of columns in the result set returned by getGeneratedValues() must be the same as the relative order of the same columns as returned when executing a "SELECT * FROM table". This ensures that clients of this interface can reliably fetch the column values.

See also
  com::sun::star::sdbc::Statement
  com::sun::star::sdbc::PreparedStatement

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getGeneratedValues()

XResultSet getGeneratedValues | ( |  | ) |
raises | ( | SQLException
| ) |  |

gives access to automatically generated values after a new row was inserted.

Returns
  a result set that contains the data produced by the query

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XGeneratedResultSet.idl